DropDownMenuTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.DropDownMenuTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class DropDownMenuTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.DropDownMenuTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class DropDownMenuTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DropDownMenuTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setDirection(java.lang.String __direction)`
`void` | `setDisabledItemClass(java.lang.String __disabledItemClass)`
`void` | `setDisabledItemStyle(java.lang.String __disabledItemStyle)`
`void` | `setEvent(java.lang.String __event)`
`void` | `setHideDelay(java.lang.String __hideDelay)`
`void` | `setHorizontalOffset(java.lang.String __horizontalOffset)`
`void` | `setItemClass(java.lang.String __itemClass)`
`void` | `setItemStyle(java.lang.String __itemStyle)`
`void` | `setJointPoint(java.lang.String __jointPoint)`
`void` | `setOncollapse(java.lang.String __oncollapse)`
`void` | `setOnexpand(java.lang.String __onexpand)`
`void` | `setOngroupactivate(java.lang.String __ongroupactivate)`
`void` | `setOnitemselect(java.lang.String __onitemselect)`
`void` | `setPopupWidth(java.lang.String __popupWidth)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setSelectItemClass(java.lang.String __selectItemClass)`
`void` | `setSelectItemStyle(java.lang.String __selectItemStyle)`
`void` | `setShowDelay(java.lang.String __showDelay)`
`void` | `setSubmitMode(java.lang.String __submitMode)`
`void` | `setVerticalOffset(java.lang.String __verticalOffset)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropDownMenuTag

    public DropDownMenuTag()

Method Detail

### setJointPoint

    public void setJointPoint(java.lang.String __jointPoint)

### setOnitemselect

    public void setOnitemselect(java.lang.String __onitemselect)

### setDisabledItemStyle

    public void setDisabledItemStyle(java.lang.String __disabledItemStyle)

### setDisabledItemClass

    public void setDisabledItemClass(java.lang.String __disabledItemClass)

### setVerticalOffset

    public void setVerticalOffset(java.lang.String __verticalOffset)

### setSelectItemStyle

    public void setSelectItemStyle(java.lang.String __selectItemStyle)

### setShowDelay

    public void setShowDelay(java.lang.String __showDelay)

### setOnexpand

    public void setOnexpand(java.lang.String __onexpand)

### setSubmitMode

    public void setSubmitMode(java.lang.String __submitMode)

### setItemClass

    public void setItemClass(java.lang.String __itemClass)

### setOncollapse

    public void setOncollapse(java.lang.String __oncollapse)

### setHorizontalOffset

    public void setHorizontalOffset(java.lang.String __horizontalOffset)

### setOngroupactivate

    public void setOngroupactivate(java.lang.String __ongroupactivate)

### setSelectItemClass

    public void setSelectItemClass(java.lang.String __selectItemClass)

### setItemStyle

    public void setItemStyle(java.lang.String __itemStyle)

### setDirection

    public void setDirection(java.lang.String __direction)

### setPopupWidth

    public void setPopupWidth(java.lang.String __popupWidth)

### setEvent

    public void setEvent(java.lang.String __event)

### setHideDelay

    public void setHideDelay(java.lang.String __hideDelay)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.